Skip to main content

Manage Shipping Address Tokens


This page describes how to create, retrieve, update, and delete shipping address tokens linked to a customer token, including how to add default and non-default addresses and change which address is the customer's default.

Endpoints

Production:

POST /tms/v2/customers/{customerTokenId}/shipping-addressesGET /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}GET /tms/v2/customers/{customerTokenId}/shipping-addressesPATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}DELETE /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

Test:

POST /tms/v2/customers/{customerTokenId}/shipping-addressesGET /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}GET /tms/v2/customers/{customerTokenId}/shipping-addressesPATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}DELETE /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

The {customerTokenId} is the customer token ID returned in the id field when you created the customer token.


Create a Customer Shipping Address

This operation creates a new shipping address token associated with a customer. If the default field is not supplied and the customer does not already have a shipping address, the shipping address becomes the default. Otherwise, it becomes a non-default shipping address.

Endpoint

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

Example

POST /tms/v2/customers/F2F3ADA770102B51E053A2598D0A9078/shipping-addresses
{  "_links": {    "self": {      "href": "/tms/v2/customers/F2F3ADA770102B51E053A2598D0A9078/shipping-addresses/F2F4C2D1B966D631E053A2598D0AB155"    },    "customer": {      "href": "/tms/v2/customers/F2F3ADA770102B51E053A2598D0A9078"    }  },  "id": "F2F4C2D1B966D631E053A2598D0AB155",  "default": true,  "shipTo": {    "firstName": "John",    "lastName": "Doe",    "company": "Company Name",    "address1": "1 Market St",    "locality": "San Francisco",    "administrativeArea": "CA",    "postalCode": "94105",    "country": "US",    "email": "[email protected]",    "phoneNumber": "4158880000"  },  "metadata": {    "creator": "testrest"  }}
Optional Fields
FieldTypeDescription
shipTo.address1stringThe first line of the shipping street address.
shipTo.address2stringThe second line of the shipping street address.
shipTo.administrativeAreastringState or province in the shipping address.
shipTo.companystringThe name of the recipient's company.
shipTo.countrystringCountry of the shipping address. Use the two-character ISO Standard Country Code.
shipTo.emailstringThe recipient's email address.
shipTo.firstNamestringThe recipient's first name.
shipTo.lastNamestringThe recipient's last name.
shipTo.localitystringCity in the shipping address.
shipTo.phoneNumberstringThe recipient's phone number.
shipTo.postalCodestringZIP or postal code in the shipping address.

Add a Default Shipping Address

This operation adds a new default shipping address to an existing customer. The new address becomes the customer's default shipping address.

Endpoint

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

FieldTypeDescription
defaultbooleanSet to true to mark this as the default shipping address.
Optional Fields
FieldTypeDescription
shipTo.address1stringThe first line of the shipping street address.
shipTo.address2stringThe second line of the shipping street address.
shipTo.administrativeAreastringState or province in the shipping address.
shipTo.companystringThe name of the recipient's company.
shipTo.countrystringCountry of the shipping address. Use the two-character ISO Standard Country Code.
shipTo.emailstringThe recipient's email address.
shipTo.firstNamestringThe recipient's first name.
shipTo.lastNamestringThe recipient's last name.
shipTo.localitystringCity in the shipping address.
shipTo.phoneNumberstringThe recipient's phone number.
shipTo.postalCodestringZIP or postal code in the shipping address.

Add a Non-Default Shipping Address

This operation adds a new non-default shipping address to an existing customer. The address is stored but does not replace the customer's current default shipping address.

Endpoint

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

POST /tms/v2/customers/{customerTokenId}/shipping-addresses

FieldTypeDescription
defaultbooleanSet to false to mark this as a non-default shipping address.
Optional Fields
FieldTypeDescription
shipTo.address1stringThe first line of the shipping street address.
shipTo.address2stringThe second line of the shipping street address.
shipTo.administrativeAreastringState or province in the shipping address.
shipTo.companystringThe name of the recipient's company.
shipTo.countrystringCountry of the shipping address. Use the two-character ISO Standard Country Code.
shipTo.emailstringThe recipient's email address.
shipTo.firstNamestringThe recipient's first name.
shipTo.lastNamestringThe recipient's last name.
shipTo.localitystringCity in the shipping address.
shipTo.phoneNumberstringThe recipient's phone number.
shipTo.postalCodestringZIP or postal code in the shipping address.

Change Default Shipping Address

This operation designates a different existing shipping address as the customer's default. The previously default address becomes a non-default address.

Endpoint

PATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

PATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

FieldTypeDescription
defaultbooleanSet to true to make this address the new default shipping address.

Retrieve a Customer Shipping Address

This operation retrieves the details of a specific shipping address token associated with a customer.

Endpoint

GET /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

GET /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

The {shippingAddressTokenId} path parameter is the shipping address token ID returned in the response when you created the shipping address token.


Retrieve All Customer Shipping Addresses

This operation retrieves all shipping address tokens associated with a specific customer.

Endpoint

GET /tms/v2/customers/{customerTokenId}/shipping-addresses

GET /tms/v2/customers/{customerTokenId}/shipping-addresses


Update a Customer Shipping Address

This operation updates an existing shipping address token. You can modify any of the shipping address fields.

Endpoint

PATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

PATCH /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

Optional Fields
FieldTypeDescription
shipTo.address1stringThe first line of the shipping street address.
shipTo.address2stringThe second line of the shipping street address.
shipTo.administrativeAreastringState or province in the shipping address.
shipTo.companystringThe name of the recipient's company.
shipTo.countrystringCountry of the shipping address. Use the two-character ISO Standard Country Code.
shipTo.emailstringThe recipient's email address.
shipTo.firstNamestringThe recipient's first name.
shipTo.lastNamestringThe recipient's last name.
shipTo.localitystringCity in the shipping address.
shipTo.phoneNumberstringThe recipient's phone number.
shipTo.postalCodestringZIP or postal code in the shipping address.

Delete a Customer Shipping Address

This operation deletes a specific shipping address token associated with a customer.

Endpoint

DELETE /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

DELETE /tms/v2/customers/{customerTokenId}/shipping-addresses/{shippingAddressTokenId}

Last published: September 29, 2026